## org.apache.axis.wsdl.symbolTable
Class Type

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Type

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BaseType, DefinedType, UndefinedType

public abstract class Type
extends TypeEntry

This class represents a TypeEntry that is a type (complexType, simpleType, etc.

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`protected` `Type(QName pqName)` Create a Type object for an xml construct name that represents a base type
`protected` `Type(QName pqName, org.w3c.dom.Node pNode)` Create a Type object for an xml construct that is not a base type
`protected` `Type(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Create a TypeEntry object for an xml construct that references a type that has not been defined yet.

Method Summary
`boolean` `isGenerated()`
`void` `setGenerated(boolean b)`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry

`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Type

    protected Type(QName pqName)

  Create a Type object for an xml construct name that represents a base type

Parameters:
  `pqName` -

### Type

    protected Type(QName pqName,
                   TypeEntry refType,
                   org.w3c.dom.Node pNode,
                   java.lang.String dims)

  Create a TypeEntry object for an xml construct that references a type that has not been defined yet. Defer processing until refType is known.

Parameters:
  `pqName` -
  `refType` -
  `pNode` -
  `dims` -

### Type

    protected Type(QName pqName,
                   org.w3c.dom.Node pNode)

  Create a Type object for an xml construct that is not a base type

Parameters:
  `pqName` -
  `pNode` -

Method Detail

### setGenerated

    public void setGenerated(boolean b)

### isGenerated

    public boolean isGenerated()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.